import { EventEmitter } from "../../stencil-public-runtime";
import * as langly from "langly";
import { Customer, Frequency, Item, Schedule } from "@payfunc/model";
export declare class IntergiroSubscriptionCreate {
  element: HTMLElement;
  t: langly.Translate;
  customers: {
    [id: string]: Customer | undefined;
  };
  private subscriptionNumber;
  frequency: Frequency;
  currency: string;
  offset: string | [string, string];
  schedule: Schedule;
  dueDates: string[];
  advanced: boolean;
  itemCount: number;
  itemsVisible: boolean;
  price: string;
  items: Item[];
  notice: EventEmitter;
  componentWillLoad(): void;
  componentDidRender(): void;
  private submitSubscription;
  private calculateSchedule;
  onSelectionChanged(e: CustomEvent<{
    identifier: string;
    value: string;
  }>): void;
  deleteItem(e: CustomEvent<{
    index: number;
  }>): void;
  changeItem(e: CustomEvent<Item>): void;
  changeOffset(e: CustomEvent<[string, string] | string>): void;
  private addItem;
  render(): any[];
}
